## org.eclipse.emf.converter.util
Class ConverterUIUtil.DiagnosticHandler

    java.lang.Object
      org.eclipse.emf.converter.util.ConverterUIUtil.DiagnosticHandler

Direct Known Subclasses:
  ModelConverterPage.PageDiagnosticHandler

Enclosing class:
  ConverterUIUtil

    public static class ConverterUIUtil.DiagnosticHandler

extends java.lang.Object

Constructor Summary
`ConverterUIUtil.DiagnosticHandler()`

Method Summary
`protected ConverterUtil.DecodedAction` `decodeAction(Diagnostic diagnostic)`
`protected boolean` `doDialog()`
`protected boolean` `doMessages()`
`protected Shell` `getShell()`
`void` `handleDiagnostic(Diagnostic diagnostic)`
`void` `handleDiagnostic(Diagnostic diagnostic, java.lang.String message, java.lang.String dialogTitle, java.lang.String dialogMessage)`
`protected void` `handleNotOKDiagnostic(Diagnostic diagnostic, ConverterUtil.DecodedAction decodedAction, java.lang.String message, java.lang.String dialogTitle, java.lang.String dialogMessage)`
`protected void` `handleOKDiagnostic(Diagnostic diagnostic, java.lang.String message, java.lang.String dialogTitle, java.lang.String dialogMessage)`
`protected void` `setErrorMessage(java.lang.String message)`
`protected void` `setMessage(java.lang.String message)`
`protected void` `setMessage(java.lang.String message, int messageType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterUIUtil.DiagnosticHandler

    public ConverterUIUtil.DiagnosticHandler()

Method Detail

### handleDiagnostic

    public void handleDiagnostic(Diagnostic diagnostic)

### handleDiagnostic

    public void handleDiagnostic(Diagnostic diagnostic,
                                 java.lang.String message,
                                 java.lang.String dialogTitle,
                                 java.lang.String dialogMessage)

### doMessages

    protected boolean doMessages()

### setMessage

    protected void setMessage(java.lang.String message)

### setMessage

    protected void setMessage(java.lang.String message,
                              int messageType)

### setErrorMessage

    protected void setErrorMessage(java.lang.String message)

### doDialog

    protected boolean doDialog()

### getShell

    protected Shell getShell()

### decodeAction

    protected ConverterUtil.DecodedAction decodeAction(Diagnostic diagnostic)

### handleOKDiagnostic

    protected void handleOKDiagnostic(Diagnostic diagnostic,
                                      java.lang.String message,
                                      java.lang.String dialogTitle,
                                      java.lang.String dialogMessage)

### handleNotOKDiagnostic

    protected void handleNotOKDiagnostic(Diagnostic diagnostic,
                                         ConverterUtil.DecodedAction decodedAction,
                                         java.lang.String message,
                                         java.lang.String dialogTitle,
                                         java.lang.String dialogMessage)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.